
%define		module	timeoutsocket

Summary:	Timeout Socket Python module
Summary(pl.UTF-8):	Moduł Pythona Timeout Socket
Name:		python-%{module}
Version:	1.23
Release:	6
License:	distributable
Group:		Development/Languages/Python
Source0:	http://www.timo-tasi.org/python/timeoutsocket.py
# Source0-md5:	137f1e1fe6e250896f01a589c25b44eb
URL:		http://www.timo-tasi.org/python/
%pyrequires_eq	python
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module enables a timeout mechanism on all TCP connections. It
does this by inserting a shim into the socket module. After this
module has been imported, all socket creation goes through this shim.
As a result, every TCP connection will support a timeout.

%description -l pl.UTF-8
Ten moduł dodaje mechanizm limitu czasowego dla wszystkich połączeń
TCP. Moduł robi to poprzez dołożenie wkładki do modułu socket. Po
zaimportowaniu tego modułu, każde tworzenie gniazd przechodzi przez tę
wkładkę. W efekcie każde połączenie TCP obsługuje limit czasowy.

%prep
python <<EOF
import sys
d={}
execfile("%{SOURCE0}",d,d)
if d["__version__"].split()[1]!="%{version}":
	print >>sys.stderr,"Source version mismatch!"
	sys.exit(1)
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

install %{SOURCE0} $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py?
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-timeoutsocket.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cfd2e80
- release 6 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 5891122
- BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f8e1b76
- release 5

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ad816e9
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 876acf2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 62f1f89
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> e2a9edf
- orphaned, outdated

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 086b5e0
- mass commit: remove obsolete BR: rpm-pythonprov

* Sun Dec 26 2004 saq <saq@pld-linux.org> edef966
- release 3 for rebuild with python 2.4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 9d173e5
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 4ee181f
- capitalization, tabs, other cosmetics

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> 2f5f24f
- Release: 2
- new architecture-independent python modules paths

* Fri Jun 06 2003 Jakub Bogusz <qboosh@pld-linux.org> 7f4db90
- updated feedback address

* Wed May 28 2003 Michal Moskal <michal@moskal.me> f753372
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4f69de5
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Oct 15 2002 Jacek Konieczny <jajcus@pld-linux.org> a81f6ef
- Updated to the version used in spec. STBR

* Tue Oct 15 2002 Jacek Konieczny <jajcus@pld-linux.org> 47bb773
- Updated to the version used in SPEC. STBR

* Thu May 30 2002 Jakub Bogusz <qboosh@pld-linux.org> 9fe7526
- pl description

* Sun May 26 2002 kloczek <kloczek@pld-linux.org> f7a71ae
- cosmetics.

* Sun May 26 2002 kloczek <kloczek@pld-linux.org> 5762238
- 137f1e1fe6e250896f01a589c25b44eb  timeoutsocket.py

